Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol
Class VariableId

    java.lang.Object
      org.irisa.genouest.logol.VariableId

    public class VariableId

extends java.lang.Object

Field Summary
`java.lang.String` | `model`
`java.lang.String` | `name`
`java.lang.String` | `type`

Constructor Summary
`VariableId()`
`VariableId(java.lang.String mod, java.lang.String id)`
`VariableId(java.lang.String mod, java.lang.String id, java.lang.String typ)`

Method Summary
`boolean` | `equals(java.lang.Object object)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### model

    public java.lang.String model

### type

    public java.lang.String type

Constructor Detail

### VariableId

    public VariableId()

### VariableId

    public VariableId(java.lang.String mod,
                      java.lang.String id)

### VariableId

    public VariableId(java.lang.String mod,
                      java.lang.String id,
                      java.lang.String typ)

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD